Subject: RE: Can't obtain write permissions on my file...
From: Bernard Dautrevaux <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Feb 2002 18:45:58 +0100

> -----Original Message-----
> From: Axelle Apvrille [mailto:[email-masked]]
> Sent: Monday, February 18, 2002 5:35 PM
> To: Bernard Dautrevaux
> Subject: RE: Can't obtain write permissions on my file...
> 
> 
> Hi,
> Here's some clarification.
> I've got both an "NT" account (actually I'm on Windows
> 2000, not NT) -- with an NTFS filesystem, and a Unix
> account. 
> I log onto the NT domain as "axelle", and I'm local
> administrator of my machine. (My NT account is in the
> Local Administrator group).
> On Unix machines, I log as "axelle" (but the NT axelle
> and the Unix axelle account have no link -- except
> that it's me in both cases ;-)).
> From Windows, I access to my Unix account through a
> Samba share.
> 
> If I log on the Unix machine, check out my file, then
> go to my NT machine and try to modify it using Emacs,
> Emacs complains it is unwritable (though Cygwin shows
> I have rw- access, and if I right click on the file on
> Win2000, the read-only check box is not checked).
> As a matter of fact, I can write on the file: tried
> the touch command or an echo >> my file.

So it seems that is linked to emacs; can you read/write your file under
another editor (like vi)? just to confirm it's really an Emacs problem.

> 
> If on the contrary, I log on to my Windows machine,
> check out the file, then go to Unix, no problem at
> all. It works.
> 
> > "CYGWIN=ntsec"?
> Where would that command be ?
> Is that a environment variable ? (I've got CYGWIN=tty
> !).

Yes, this is an environment variable that can be set either in the
workstation properties dialog, or in th ecygwin.bat script (but not after:
it must be set BEFORE the first cygwin program starts).

> 
> > If that's the case be sure your /etc/passwd and
> > /etc/group files are set up
> > properly, that is by:
> > 
> > mkpasswd -d > /etc/passwd
> > mkgroup -d > /etc/group
> 
> I've done that.
> 
> > Oh, but wait a minute; if I understand correctly
> > what you've said, you
> > should be using a samba share between your Linux box
> > and your Windows
> > system, with a windows mount of th esamba share as
> > drive E:?
> 
> Yes, that's right (except I'm accessing a Solaris not
> a Linux -- but I doubt that the pb !).

Me too, although nobody really knows as long as the real problem is not
fixed :-)

> 
> > Then the problem may also be (in addition to the
> > above) that your samba
> > server is not correctly configured to match your NT
> > user name with your
> > Linux login.
> 
> I don't think so, because Samba is configured so I
> access all my user account without problems.
> 
> 
> > Then it may be samba that refuse the
> > access
> 
> No. See above, I have access to the file. And better,
> I can overwrite it if I use simple commands, not
> Emacs.
> Maybe Emacs does not understand who I am.

It's one of th ethings I would investigate, especially as Emacs seems to
quite often play tricks with the OS in order to be smarter :-)

> Or CVS gets confused.

Not sure it is CVS, but you may create a file manually on Unix, then try to
edit it under Emacs from Windows; if it works, then maybe CVS has set-up the
file properties on UNIX strangely. BTW IIRC Solaris handles not only
traditional Unix attributes (the usual -rw--r--r stuff) but also ACLs
(access control lists). If these are enabled on your Solaris box, you should
definitely check the rights set by CVS for the problematic file and compare
with one you can edit from Emacs on Windows.

> Or something's missing in my Cygwin configuration.
> 
> Hope this helps you helping me ;-)
> Thanks anyway !

You're welcome,

	Bernard

PS: Please keep these kind of discussion on the list; the various mails may
trigger ideas from others on the list that may finally discover the (perhaps
totally unrelated) cause to your problem, or to a problem of someone else
:-)

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/